Bug 193290 - textproc/apache-solr update to 4.9.0 + rc script
Summary: textproc/apache-solr update to 4.9.0 + rc script
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-03 16:59 UTC by Radim Kolar
Modified: 2014-10-19 20:20 UTC (History)
4 users (show)

See Also:


Attachments
port diff (4.73 KB, patch)
2014-09-03 16:59 UTC, Radim Kolar
no flags Details | Diff
update to 4.10.1 (5.69 KB, patch)
2014-10-19 20:09 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Radim Kolar 2014-09-03 16:59:15 UTC
Created attachment 146740 [details]
port diff

I updated SOLR port to 4.9.0 and added RC script for running solr search daemon.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2014-09-04 05:18:05 UTC
Comment on attachment 146740 [details]
port diff

Requesting maintainer approval
Comment 2 John Marino freebsd_committer 2014-09-20 18:12:29 UTC
This PR timed-out so maintainer approval is no longer required.  Moving to patch-ready status.
Comment 3 Kurt Jaeger freebsd_committer 2014-10-19 20:09:42 UTC
Created attachment 148475 [details]
update to 4.10.1

solr was updated to 4.10.1 while waiting, so I updated the patch.
Comment 4 commit-hook freebsd_committer 2014-10-19 20:18:51 UTC
A commit references this bug:

Author: pi
Date: Sun Oct 19 20:18:06 UTC 2014
New revision: 371207
URL: https://svnweb.freebsd.org/changeset/ports/371207

Log:
  textproc/apache-solr: 4.8.1 -> 4.10.1

  Changes see:
  http://lucene.apache.org/solr/4_10_1/changes/Changes.html

  PR:		193290
  Submitted by:	Radim Kolar <hsn@sendmail.cz>
  Approved by:	gaod@hychen.org (maintainer timeout)

Changes:
  head/textproc/apache-solr/Makefile
  head/textproc/apache-solr/distinfo
  head/textproc/apache-solr/files/
  head/textproc/apache-solr/files/solr.in
  head/textproc/apache-solr/pkg-deinstall
  head/textproc/apache-solr/pkg-plist
Comment 5 Kurt Jaeger freebsd_committer 2014-10-19 20:20:00 UTC
Committed, thanks. poudriere build tests on 10.0, 9.1 (both amd64) and
8.4 (i386) run fine. Startup was tested and worked fine, too.